
darktable - Camera Support #12459

WB presets for a bunch of Sony cameras.

12/11/2018 06:07 AM - Niels Kristian Bech Jensen

Status: Fixed Start date: 12/11/2018

Priority: Low Due date:  

Assignee: Pascal Obry % Done: 100%

Category: Darkroom Estimated time: 0.00 hour

Target version: 2.6.0   

Affected Version: git master branch   

Description

I have extracted WB presets for a bunch of Sony point'n'shoot cameras using sample files found at raw.pixls.us. Beware that the

DSC-RX100M6 is not supported in 2.6.0rc1.

The camera models are:

Sony DSC-RX0

Sony DSC-RX1RM2

Sony DSC-RX100M5

Sony DSC-RX100M5A

Sony DSC-RX100M6

Best regards,

Niels Kristian Bech Jensen

History

#1 - 12/11/2018 11:50 AM - Pascal Obry

Would be nice to propose a PR on GitHub or attach the wb_presets.c (taken from current master) with all those modifications. Will help merging.

#2 - 12/13/2018 05:05 AM - Niels Kristian Bech Jensen

- File darktable-wb_presets.diff added

I have added af patch for wb_presets.c adding WB presets for four of the cameras. The DSC-RX0 had been included before the release of 2.6.0rc1.

My mistake.

Best regards,

Niels Kristian Bech Jensen

#3 - 12/15/2018 11:09 AM - Pascal Obry

- Assignee set to Pascal Obry

- % Done changed from 0 to 100

- Category set to Darkroom

- Status changed from New to Fixed

- Target version set to 2.6.0

Now integrated. Thanks.

Files

Sony_DSC-RX0_wb_presets.txt 1.12 KB 12/11/2018 Niels Kristian Bech Jensen

Sony_DSC-RX1RM2_wb_presets.txt 1.16 KB 12/11/2018 Niels Kristian Bech Jensen
Sony_DSC-RX100M5_wb_presets.txt 1.16 KB 12/11/2018 Niels Kristian Bech Jensen

Sony_DSC-RX100M5A_wb_presets.txt 1.18 KB 12/11/2018 Niels Kristian Bech Jensen

Sony_DSC-RX100M6_wb_presets.txt 1.18 KB 12/11/2018 Niels Kristian Bech Jensen

darktable-wb_presets.diff 5.57 KB 12/13/2018 Niels Kristian Bech Jensen
